summaryrefslogtreecommitdiff
path: root/infrastructure/mingw
diff options
context:
space:
mode:
authorChris Wilson <chris+github@qwirx.com>2015-08-29 10:01:44 +0000
committerChris Wilson <chris+github@qwirx.com>2015-08-29 10:01:44 +0000
commitd50c8a3515883a5370368414f7b199dc05eea7cf (patch)
treede13efcb2d0cc575a25edd6bf335d86a8042623c /infrastructure/mingw
parent7c775d0caf827183f09d866c6ecb97c1e65b0539 (diff)
Add a MinGW test runner to version control.
Diffstat (limited to 'infrastructure/mingw')
-rwxr-xr-xinfrastructure/mingw/configure.sh12
-rw-r--r--infrastructure/mingw/environment.sh11
-rwxr-xr-xinfrastructure/mingw/runtest.sh7
3 files changed, 19 insertions, 11 deletions
diff --git a/infrastructure/mingw/configure.sh b/infrastructure/mingw/configure.sh
index dd45a572..0242ea74 100755
--- a/infrastructure/mingw/configure.sh
+++ b/infrastructure/mingw/configure.sh
@@ -1,16 +1,6 @@
#!/bin/sh
-
-case "`uname -m`" in
-x86_64)
- DEP_PATH=/usr/x86_64-w64-mingw32
- target=x86_64-w64-mingw32 ;;
-i686)
- DEP_PATH=/usr/i686-pc-mingw32
- target=i686-pc-mingw32 ;;
-*)
- echo "Error: unknown machine type `uname -m`" >&2; exit 1 ;;
-esac
+source `dirname $0`/environment.sh
if [ ! -r "$DEP_PATH/lib/libssl.a" ]; then
echo "Error: install OpenSSL as instructed by" \
diff --git a/infrastructure/mingw/environment.sh b/infrastructure/mingw/environment.sh
new file mode 100644
index 00000000..1f2f14c2
--- /dev/null
+++ b/infrastructure/mingw/environment.sh
@@ -0,0 +1,11 @@
+case "`uname -m`" in
+x86_64)
+ DEP_PATH=/usr/x86_64-w64-mingw32
+ target=x86_64-w64-mingw32 ;;
+i686)
+ DEP_PATH=/usr/i686-pc-mingw32
+ target=i686-pc-mingw32 ;;
+*)
+ echo "Error: unknown machine type `uname -m`" >&2; exit 1 ;;
+esac
+
diff --git a/infrastructure/mingw/runtest.sh b/infrastructure/mingw/runtest.sh
new file mode 100755
index 00000000..4deecb47
--- /dev/null
+++ b/infrastructure/mingw/runtest.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+source `dirname $0`/environment.sh
+
+export PATH=$DEP_PATH/sys-root/mingw/bin:$PATH
+
+exec `dirname $0`/../../runtest.pl "$@"